* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Times New Roman', Times, sans-serif;
}

body {
  background-color: rgb(17, 62, 28);
}

h1 {
  text-align: center;
  padding: 20px;
  color: gold;
  font-size: 70px;
  text-decoration: underline;
  background-color: rgba(11, 38, 18, 0.5);
}

.container {
  padding: 20px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
}

.card {
  text-align: center;
  background-color: rgba(11, 38, 18, 0.8);
  color: white;
  width: 100%;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  opacity: 0;
  transform: scale(0);
  transition: all 0.5s ease-in-out, transform 0.5s ease-in-out;
}
.card.visible {
  opacity: 1;
  transform: scale(1);
}


.card h3 {
  text-align: center;
  text-decoration: underline;
  font-size: 24px;
  margin-bottom: 10px;
}

.card p {
  font-size: 16px;
  margin-bottom: 5px;
}

.card span {
  margin-top: 20px;
  font-weight: bold;
}

#btn_add {
  height: 120px;
  width: 120px;
  border-radius: 50%;
  background-color: gold;
  color: rgb(11, 38, 18);
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  position: fixed;
  right: 30px;
  top: 400px;
  transition: all 300ms ease-in-out;
}

#btn_add:hover {
  background-color: rgba(255, 215, 28, 0.5);
  transform: scale(1.4);
}

#addBookForm {
  margin-top: 50px;
  padding: 20px;
  background-color: rgba(11, 38, 18, 0.8);
  color: white;
  width: 400px;
  margin-left: auto;
  margin-right: auto;
  position: fixed;
  left: 50%;
  top: 50%;
  opacity: 0;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: all 0.5s ease-in-out, transform 0.5s ease-in-out;
}

#addBookForm.visible {
  opacity: 1;
}

#addBookForm h2 {
  text-align: center;
  margin-bottom: 20px;
}

#addBookForm form label {
  margin-bottom: 20px;
  color: gold;
}

#addBookForm form input[type="text"],
#addBookForm form input[type="number"] {
  width: 100%;
  padding: 10px;
  border-radius: 4px;
  border: none;
  margin-top: 10px;
  margin-bottom: 20px;
}

#addBookForm form input[type="checkbox"] {
  width: 100%;
  padding: 10px;
  border-radius: 4px;
  border: none;
  margin-bottom: 20px;
}

#addBookForm form button[type="submit"],
#addBookForm form button[type="button"] {
  padding: 10px 20px;
  margin-left: 60px;
  background-color: gold;
  color: rgb(11, 38, 18);
  border: 0.5px solid goldenrod;
  border-radius: 4px;
  cursor: pointer;
}

.btn_remove {
  padding: 10px 20px;
  background-color: gold;
  color: rgb(11, 38, 18);
  font-size: bold;
  border: none;
  border-radius: 4px;
}

.btn_toggle {
  padding: 10px 20px;
  background-color: gold;
  color: rgb(11, 38, 18);
  font-size: bold;
  border: 0.5px solid goldenrod;
  border-radius: 4px;
  margin-left: 5px;
}
